/*                         */
/* Developer notes
main color:  #00417d
pale main: #D4DDE5
text: 161616
text inverted color: #f5f5f5
highlight: #DDAE58 */

html, body {
        margin: 0;        
        background-color: #f5f5f5;


    }






/*                                    */
/*	Footer, Main and Header styling   */
/*                                    */



header {
    position: relative;
    padding: 10px 0 10px 0;
    width: 100%;
    height: auto;
    background-color: #00417d;
    display: flex;
    align-items: center;
    }



.slideinfo {
    display: block;
}

main {
    display: block;
    padding: 10px;
    background-color: #f5f5f5;
}



footer {
    background-color: #00417d;
    display: flex;
    align-items: center;
}


.logo {
    display: flex;
    align-items: top;
    gap: 10px; 
    width: 150px;
    height: auto

} 

.footer-text {
    display: flex;
    padding: 10px;
    }





/*                           */
/*	Heading and txt styling  */
/*                           */

h1, h2, p, ul, li {
	font-family: 'Myriad Pro', sans-serif;
  padding-left: 10px;

}

a {
  font-family: 'Myriad Pro', sans-serif;
}

h1 {    
	color: #f5f5f5; 
	margin-top: 6px; 
	margin-bottom: 6px;
  font-size: clamp(32px, 6vw, 50px);
  display: flex;
}

h2 {
    color: #00417d; 
    margin-top: 6px; 
    margin-bottom: 10px;
    font-size: clamp(20px, 4vw, 26px);
}



h2.tagline {
    font-style:italic;
}

p {
    
	color: 161616; 
	margin-top: 0; 
    padding-left: 5px;
	margin-bottom: 10px;
    font-size: clamp(10px, 2vw + 1rem, 16px);
}

.slideinfo p {
    font-size: clamp(8px, 2vw + 1rem, 16px);
}

footer p {
    color:#f5f5f5;
    font-size: clamp(12px, 2vw + 1rem, 16px);
    
}

footer a {
    color:#D4DDE5;
}

/*                         */
/* Lists styling           */
/*                         */

ul.notice {
    color: #f5f5f5;
    margin: 0;
}

ul {
    line-height: 1.5;
    font-size: 16px;
    
}

/*                         */
/*       Image styling     */
/*                         */

img {
    width: 100%;
    height: auto;
    max-width:700px;
    display: block;
}


/*                         */
/* Button Styling          */
/*                         */

.slidebutton {
    background-color: #00417d;
    color: white;
    cursor: pointer;
    padding: 0px;
    border-width: 0;
    border-radius: 12px;
    outline: none;
    font-size: 15px;
    margin-bottom: 10px;
    align-items: center;
    display: inline-flex;
  }

.buttontitle {
    color: #DDAE58;
    text-align:center;
    font-size:1.75em;
    font-weight: 500;
    padding: 20px 25px 20px 25px;
}


/*                         */
/*       Card styling       */  
/*                         */

.btn {
  background-color: #DDAE58;
  border-radius: 4px;
  box-shadow: 1px 2px 2px 0 rgba(0,0,0,0.25);
  display: inline-block;
  padding: 6px 30px 8px;
  position: relative;
  text-decoration: none;
  transition: all 0.1s 0s ease-out;
}
  

.openslide {
    cursor: pointer;
    margin-left: auto;
    margin-right: auto;
    margin-top: 8px;
    background-color: #DDAE58;
    border-radius: 4px;
    text-align:center;
    font-size:1em;
    font-weight: 700;
    padding: 5px 10px 5px 10px;
    color:#00417d;
}

.button-container {
    display: flex;
    justify-content: center;
    margin-top: 10px;
}



.no-touch a.btn:hover {
  
  box-shadow: 8px 8px 2px 0 rgba(0, 0, 0, 0.075);
  transform: translateY(-2px);
  transition: all 0.25s 0s ease-out;
}

.no-touch a.btn:active,
a.btn:active {
  
  box-shadow: 0 1px 0 0 rgba(255,255,255,0.25);
  transform: translate3d(0,1px,0);
  transition: all 0.025s 0s ease-out;
}

div.cards {
  margin: 40px 40px;
 /* max-width: 1400px; */
  text-align: center;
}

div.card {
  background-color: #D4DDE5;
  border:#00417d solid 5px;
  border-radius: 10px;
  display: inline-block;
  margin: 8px;
  max-width: 300px;
  perspective: 1000;
  position: relative;
  text-align: left;
  transition: all 0.3s 0s ease-in;
  width: 300px;
  z-index: 1;
  

  img {
    border-radius: 5px;
    max-width: 300px;
  }
  
  .card__image-holder {
    background: #D4DDE5;
    height: 0;
    padding-bottom: 75%;
    border-radius: 5px;

  }

  div.card-title {
    
    padding: 6px 15px 10px;
    position: relative;
    z-index: 0;
    
    a.toggle-info {
      cursor: pointer;
      border-radius: 32px;
      height: 32px;
      padding: 0;
      position: absolute;
      right: 15px;
      top: 10px;
      width: 32px;
      
      span {
        
        display: block;
        height: 2px;
        position: absolute;
        top: 16px;
        transition: all 0.15s 0s ease-out;
        width: 12px;
      }
      
      span.left {
        right: 14px;
        transform: rotate(45deg);
        background-color: #00417d;
      }
      span.right {
        left: 14px;
        transform: rotate(-45deg);
        background-color: #00417d;
      }
    }
    
  
    

    h2 {
      
      color:#00417d;
      font-size: 28px;
      font-weight: 600;
      margin: 0;
      padding: 0;
      
      small {
        display: block;
        font-size: 18px;
        font-weight: 600;
        letter-spacing: -0.025em;
      }
    }
  }

  div.card-description {
    cursor: auto;
    color:#f5f5f5;
    border-radius: 0 0 8px 8px;
    background-color: #00417d;
    padding: 15px;
    position: relative;
    font-size: 14px;

    p {
        margin: 0;
        color:#f5f5f5;
    }

  }



  
  div.card-flap {
    position: absolute;
    width: 100%;
    transform-origin: top;
    transform: rotateX(-90deg);
    transition: all 0.3s 0.3s ease-out;
    z-index: -1;
  }


  
}

div.cards.showing {
  div.card {
    cursor: pointer;
    opacity: 0.6;
    transform: scale(0.88);
  }
}

.no-touch  div.cards.showing {
  div.card:hover {
    opacity: 0.94;
    transform: scale(0.92);
  }
}

div.card.show {
  opacity: 1 !important;
  transform: scale(1) !important;

  div.card-title {
    a.toggle-info {
      
      span {
        top: 15px;
      }
      span.left {
        right: 10px;
      }
      span.right {
        left: 10px;
      }
    }
  }
  div.card-flap {
    
    transform: rotateX(0deg);
  }
  div.flap1 {
    transition: all 0.3s 0s ease-out;
  }
  div.flap2 {
    transition: all 0.3s 0.2s ease-out;
  }
}
